#ifndef __MEMCHECK_H__
#define __MEMCHECK_H__



#ifdef MEMCHECK
    void StartMemCheck(const char*, const int);
    void StopMemCheck(const char*, const int);
    #define MemCheckStart() (StartMemCheck(__FILE__, __LINE__))
    #define MemCheckStop() (StopMemCheck(__FILE__, __LINE__))
#else
    #define MemCheckStart()
    #define MemCheckStop()
#endif




#endif /* __MEMCHECK_H__ */
